<?php
require_once(get_template_directory() . '/includes/widget-sortvid.php');

function wpbootstrap_scripts_with_jquery() {
    // Register the script like this for a theme:
    //wp_register_script( 'custom-script', get_template_directory_uri() . '/bootstrap/js/bootstrap.js', array( 'jquery' ) );
    // For either a plugin or a theme, you can then enqueue the script:
    //wp_enqueue_script( 'custom-script' );
}

add_action('wp_enqueue_scripts', 'wpbootstrap_scripts_with_jquery');


if (function_exists('register_sidebar')) {

    register_sidebar(array(
        'name' => 'Frontpage Sidebar',
        'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));

    register_sidebar(array(
        'name' => 'Sidebar Archive',
        'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));

    register_sidebar(array(
        'name' => 'Sidebar Video',
        'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>',
    ));

    register_sidebar(array(
        'name' => 'Sidebar Pages',
        'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));



    register_sidebar(array(
        'name' => 'Displayed Everywhere',
        'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));


    register_sidebar(array(
        'name' => 'Footer - Column 1',
        'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));

    register_sidebar(array(
        'name' => 'Footer - Column 2',
        'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));

    register_sidebar(array(
        'name' => 'Footer - Column 3',
        'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>'
    ));





    $dynamic_widgets = explode(',', $k_option['includes']['multi_widget_final']);
    foreach ($dynamic_widgets as $page_name) {

        if ($page_name != "")
            register_sidebar(array(
                'name' => 'Page: ' . get_the_title($page_name),
                'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
                'after_widget' => '</div>',
                'before_title' => '<h3 class="widgettitle">',
                'after_title' => '</h3>'
            ));
    }



    $dynamic_widgets_cat = explode(',', $k_option['includes']['multi_widget_cat_final']);
    foreach ($dynamic_widgets_cat as $the_cat) {


        $the_cat_name = get_cat_name($the_cat);

        if ($the_cat_name != "")
            register_sidebar(array(
                'name' => 'Category: ' . $the_cat_name,
                'before_widget' => '<div id="%1$s" class="box_small box widget %2$s">',
                'after_widget' => '</div>',
                'before_title' => '<h3 class="widgettitle">',
                'after_title' => '</h3>'
            ));
    }
}

function display_placeholder($whichone) {
    if ($whichone == 'left') {
        ?>
        <div class='box_small box widget'>
            <h3>Pages</h3>
            <ul>
                <?php wp_list_pages('title_li=&depth=-1'); ?>
            </ul>
        </div>
        <?php
    }

    if ($whichone == 'center') {
        ?>
        <div class='box_small box widget'>
            <h3>Categories</h3>
            <ul>
                <?php wp_list_cats('sort_column=name&optioncount=0&hierarchical=0'); ?>
            </ul>
        </div>
        <?php
    }

    if ($whichone == 'right') {
        ?>
        <div class="box_small box widget">
            <h3>Insert your widget here !!</h3>
            <p>Consectetur adipisicing elit tempor incididunt ut labore. Sed do eiusmod tempor incididunt ut labore. Consectetur adipisicing elit.</p>
        </div>
        <?php
    }
}

function custom_comments($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
        <div id="comment-<?php comment_ID(); ?>">
            <div class="gravatar">
                <?php echo get_avatar($comment, $size = '60', $default = ''); ?>
            </div>
            <div class='comment_content'>
                <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
                <?php printf(__('<cite class="author_name heading">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
                <?php edit_comment_link(__('(Edit)'), '  ', '') ?>
                <div class="comment-meta commentmetadata">
                    <a href="<?php echo htmlspecialchars(get_comment_link($comment->comment_ID)) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(), get_comment_time()) ?></a>
                </div>
                <div class='comment_text'>
                    <?php comment_text() ?>
                    <?php if ($comment->comment_approved == '0') : ?>
                        <br /> <em><?php _e('Your comment is awaiting moderation.', 'expose') ?></em>

                    <?php endif; ?>
                </div>

            </div>
        </div>
        <?php
    }

    function batube_register_settings() {


        register_setting('batube_theme_options', 'batube_options', 'batube_validate_options');

        // Add settings section
        add_settings_section('pu_text_section', 'Theme Options', 'pu_display_section', 'theme_options.php');

        // Create textbox field

        $field_args = array(
            'type' => 'file',
            'id' => 'pu_textbox',
            'name' => 'pu_textbox',
            'desc' => 'Upload your Site Logo',
            'std' => '',
            'label_for' => 'pu_textbox',
            'class' => 'css_class'
        );

        add_settings_field('example_textbox', 'Logo', 'pu_display_setting', 'theme_options.php', 'pu_text_section', $field_args);

        function pu_display_section($section) {
            
        }

        function pu_display_setting($args) {
            extract($args);

            $option_name = 'pu_theme_options';

            $options = get_option($option_name);

            switch ($type) {
                case 'text':
                    $options[$id] = stripslashes($options[$id]);
                    $options[$id] = esc_attr($options[$id]);
                    echo "<input class='regular-text$class' type='text' id='$id' name='" . $option_name . "[$id]' value='$options[$id]' />";
                    echo ($desc != '') ? "<br /><span class='description'>$desc</span>" : "";
                    break;
                case 'file':
                    $options[$id] = stripslashes($options[$id]);
                    $options[$id] = esc_attr($options[$id]);
                    echo "<input class='regular-text$class' type='file' id='thumb' name='" . $option_name . "[$id]' value='$options[$id]' />";
                    echo ($desc != '') ? "<br /><span class='description'>$desc</span>" : "";
                    break;
            }
        }

    }

    add_action('admin_init', 'batube_register_settings');

    function sa_theme_options() {
        add_theme_page('Theme Options', 'batube Theme Options', 'edit_theme_options', 'theme_options.php', 'theme_options_page');
    }

    add_action('admin_menu', 'sa_theme_options');

    function theme_options_page() {
        include('theme-settings.php');
    }

    // Registering Menus For Theme

    add_action('init', 'register_my_menus');

    function register_my_menus() {
        register_nav_menus(
                array(
                    'main-nav-menu' => __('Main Navigation Menu')
                )
        );
    }
    ?>
