<!DOCTYPE html>
<!--[if IE 6]>
<html class="ie ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
    <!--<![endif]-->
    <head>

        <!-- batube Meta Tags -->
        <meta charset="<?php bloginfo('charset'); ?>" />
        <meta name="viewport" content="width=device-width" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

        <!-- batube Title, Keywords and Description -->
        <title>BAtube - WordPress Media Theme By WPOven</title>


        <link rel="profile" href="http://gmpg.org/xfn/11" />
        <?php if ($favicon = get_option('bt_favicon')) echo '<link rel="shortcut icon" href="' . $favicon . '" />' . "\n"; ?>
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

        <!-- Styles ans Scripts -->
        <link href='http://fonts.googleapis.com/css?family=Arimo:400,700|Droid+Serif:400,700|Open+Sans:600,700' rel='stylesheet' type='text/css'>
        <link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="all" />
        <?php //if (get_option('bt_responsive')) { ?>
           <!--  <link rel="stylesheet" href="<?php //echo get_template_directory_uri();       ?>/responsive.css" type="text/css" media="all" /> -->
        <?php //} ?>
        <?php wp_head(); ?>

    </head>

    <body <?php body_class(); ?>>
 

        <?php
        /**
         * Register style sheet.
         */
        if (is_home()) {
            wp_register_script('jquery.galleryview-3.0-dev', get_template_directory_uri() . '/js/jquery.galleryview-3.0-dev.js');  // or  
            wp_enqueue_script('jquery.galleryview-3.0-dev');
            wp_register_script('jquery.timers-1.2', get_template_directory_uri() . '/js/jquery.timers-1.2.js');  // or  
            wp_enqueue_script('jquery.timers-1.2');
            wp_register_script('jquery.easing.1.3', get_template_directory_uri() . '/js/jquery.easing.1.3.js');  // or  
            wp_enqueue_script('jquery.easing.1.3');
            wp_register_style('jquery.galleryview-3.0-dev', get_template_directory_uri() . '/css/jquery.galleryview-3.0-dev.css');
            wp_enqueue_style('jquery.galleryview-3.0-dev');
        }
        ?>
        <header id="header">
            <div class="wrapper" id="wrapper_head">
                <div class="center">
                <div id="branding" class="<?php echo get_option('bt_logo_type', 'text'); ?>-branding" role="banner">
                  <!--  <h1 id="site-title"><a rel="home" href="<?php //echo home_url();      ?>"><?php //bloginfo('name');      ?></a></h1> -->
                    <?php if (get_option('batube-logo')) { ?>
                        <a id="site-logo" rel="home" href="<?php echo home_url(); ?>"><img src="<?php echo get_option("batube-logo"); ?>" alt="<?php bloginfo('name'); ?> " width="131px" height="24px"/></a>
                    <?php }
                    else{ ?>
                        <a id="site-logo" rel="home" href="<?php echo home_url(); ?>"><img src="<?php echo get_template_directory_uri().'/images/btube.png'; ?>" alt="<?php bloginfo('name'); ?> " width="151px" height="44px"/></a>
                    <?php
                    }
?>
                    <h2 id="site-description"<?php echo ' class="hidden"'; ?>><?php bloginfo('description'); ?></h2>
                </div><!-- end #branding -->

                <?php
                if (is_user_logged_in()) {
                    $user_id = get_current_user_id();
                    $current_user = wp_get_current_user();
                    $profile_url = get_author_posts_url($user_id);
                    $edit_profile_url = get_edit_profile_url($user_id);
                    //$current_url = get_current_url();
                    ?>
                    <div id="account-nav" class="user-nav">
                        <a class="dropdown-handle" href="<?php echo $profile_url; ?>">
                            <?php echo get_avatar($user_id, 32); ?>
                            <span class="display-name btn">
                                <span class="arrow-down"><?php echo $current_user->display_name; ?></span>
                            </span>
                        </a>

                        <div class="dropdown-content">
                            <ul class="dropdown-content-inner">
                                <li><a class="profile-link" href="<?php echo $profile_url; ?>"><?php _e('Profile', 'batube'); ?></a></li>
                                <li><a class="account-link" href="<?php echo $edit_profile_url; ?>"><?php _e('Account', 'batube'); ?></a></li>
                                <li><a class="logout-link" href="<?php echo esc_url(wp_logout_url($current_url)); ?>"><?php _e('Log out', 'batube'); ?></a></li>
                            </ul>
                        </div>
                    </div><!-- end #account-nav -->
                <?php } elseif (get_option('users_can_register')) { ?>
                    <div id="login-nav" class="user-nav">
                        <a class="btn btn-green register-link" href="<?php echo site_url('wp-login.php?action=register', 'login'); ?>"><?php _e('Sign up', 'batube'); ?></a>

                        <div class="dropdown">
                            <a class="dropdown-handle btn btn-black login-link" href="<?php echo wp_login_url(); ?>"><?php _e('Log In', 'batube'); ?></a>

                            <div class="dropdown-content"><div class="dropdown-content-inner">
                                    <?php wp_login_form(); ?>
                                </div></div>
                        </div>
                    </div><!-- end #login-nav -->
                <?php } elseif ($likes_page_id = get_option('dp_post_likes_page')) { ?>
                    <div id="guest-nav" class="user-nav">
                        <a class="btn likes-page-link btn-red" href="<?php echo get_permalink($likes_page_id); ?>"><?php echo get_the_title($likes_page_id); ?></a>
                    </div><!-- end #login-nav -->
                <?php } ?>

                <div id="top-search">
                    <?php //get_search_form();  ?>
                    <div class="searchform-div">
                        <form action=" <?php echo esc_url(home_url('/')) ?> " class="searchform" method="get">
                            <div class="search-text-div"><input type="text" placeholder="Search..." value="" class="search-text" name="s"></div>
                            <div class="search-submit-div btn"><input type="submit" value="Search" class="search-submit"></div>
                        </form><!--end #searchform-->
                    </div>
                </div><!-- end .top-search -->

           </div> </div></header><!-- end #header-->


        <div id="main-nav"><div class="wrapper cf">
                <div class="center">
                <?php
                $nav_menu = wp_nav_menu(array('theme_location' => 'main-nav-menu', 'container' => '', 'fallback_cb' => '', 'echo' => 0));

// The fallback menu
                if (empty($nav_menu))
                    $nav_menu = '<ul class="menu">' . wp_list_categories(array('show_option_all' => __('Home', 'batube'), 'title_li' => '', 'echo' => 0)) . '</ul>';

                echo $nav_menu;
                ?>
            </div></div></div><!-- end #main-nav -->

        <?php if (is_home()) { ?>
            <script type="text/javascript" src="http://code.jquery.com/jquery-1.7.1.min.js"></script>        
            <script type="text/javascript">
                $(document).ready(function () {
                    $('#myGallery').galleryView({
                        enable_overlays: true,
                        panel_width: 640,
                        panel_height: 360,
                        panel_animation: 'slide',
                        show_filmstrip_nav: true,
             
                        autoplay: true,
                        filmstrip_position: 'right',
                        frame_width: 150,
                        frame_height: 90,
                        panel_scale: 'fit'
                    });
                });
            
            </script>       
        <?php } ?>